Bug 805715 - Two different windows requesting the same data for wireless network authentication
Two different windows requesting the same data for wireless network authentic...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 17:29 EDT by Gary Case
Modified: 2013-02-26 10:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:25:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First window asking for authentication data (158.55 KB, image/png)
2012-03-21 17:29 EDT, Gary Case
no flags Details
Second window asking for authentication data (34.54 KB, image/png)
2012-03-21 17:29 EDT, Gary Case
no flags Details

  None (edit)
Description Gary Case 2012-03-21 17:29:04 EDT
Created attachment 571871 [details]
First window asking for authentication data

Description of problem:
When accessing a wireless network that requires a username and password, two different windows asking for the same username/password data can appear, depending on how long the request has been waiting. 

Version-Release number of selected component (if applicable):
NetworkManager-0.9.2-1.fc16.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Associate with a network that requires a username/password combo for access
2. The window shown in auth-type-one.png will appear
2. Don't type in the user/pass
3. The screen goes dim and the window shown in auth-type-two.png appears on top of the auth-type-one.png window.
  
Actual results:
Two different windows that ask for the same information.

Expected results:
One window that asks for the user/pass. 

Additional info:
Comment 1 Gary Case 2012-03-21 17:29:39 EDT
Created attachment 571872 [details]
Second window asking for authentication data
Comment 2 Gary Case 2012-03-22 10:30:37 EDT
Another point: I have never successfully authenticated using the second window. The only way for me to successfully authenticate is with that first window. This became problematic for me this morning as what I'm calling the "second window" appeared first, before the "first window". I was unable to authenticate until I rebooted my laptop. After the reboot, the "first window" appeared first and authentication worked on the first try.
Comment 3 Fedora End Of Life 2013-01-16 16:30:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-26 10:25:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.